Abstract Approval Processes
- Returns a session from the system by its ID.
Events (Meetings & Shows) (v1-2025-04-18)
The Meetings & Shows, or Events, API is used to manage all aspects of events from recurring webinars to annual trade shows. From this API you can access Registrants, Speakers, and Abstracts as well as update the details of your events themselves.
Like most of the other Rhythm apps, the Events API includes endpoints for Query Definitions. These endpoints are commonly used to retrieve saved queries, which can then be executed using the Query endpoints of the System API.
Request
This method will auto-generate an ID and create a new session. If an ID is specified for the session, an error will be thrown.
The session that you would like to be saved.
If set, people can be placed on a wait list
If set, portal registration for this session is disabled
If set, a user is prompted to answer questions during registration
This session is not displayed in the portal or available for registration
If selected, hide this session from the online schedule
The type to be assigned to the main presenter for sessions generated from abstracts
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}
- https://events.api.rhythmsoftware.com/sessions/{tenantId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"abstract_id": "string",
"access": "included",
"capacity_options": {
"capacity": 0.1,
"enable_wait_list": true,
"waitlist_process_id": null
},
"code": "string",
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"description": "string",
"disable_portal_registration": true,
"display_order": 0.1,
"enable_capacity": true,
"enable_registration_questions": true,
"end_date": "2019-08-24T14:15:22Z",
"event_id": "string",
"has_fees": true,
"hide_from_portal": true,
"hide_from_schedule": true,
"id": "string",
"location": "string",
"main_presenter_speaker_type_id": "string",
"name": "string",
"registration_question_options": {
"custom_fields": [
{
"id": "string",
"label": "string",
"required": true
}
],
"registration_instructions": "string"
},
"room_ids": [
"string"
],
"sold_out": true,
"speakers": [
{
"speaker_id": "string",
"speaker_type_id": "string"
}
],
"start_date": "2019-08-24T14:15:22Z",
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"track_ids": [
"string"
],
"type_id": "string"
}'The session was saved successfully.
If set, people can be placed on a wait list
If set, portal registration for this session is disabled
If set, a user is prompted to answer questions during registration
This session is not displayed in the portal or available for registration
If selected, hide this session from the online schedule
The type to be assigned to the main presenter for sessions generated from abstracts
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
{ "abstract_id": "string", "access": "included", "capacity_options": { "capacity": 0.1, "enable_wait_list": true, "waitlist_process_id": null }, "code": "string", "custom_field_values": [ { … } ], "description": "string", "disable_portal_registration": true, "display_order": 0.1, "enable_capacity": true, "enable_registration_questions": true, "end_date": "2019-08-24T14:15:22Z", "event_id": "string", "has_fees": true, "hide_from_portal": true, "hide_from_schedule": true, "id": "string", "location": "string", "main_presenter_speaker_type_id": "string", "name": "string", "registration_question_options": { "custom_fields": [ … ], "registration_instructions": "string" }, "room_ids": [ "string" ], "sold_out": true, "speakers": [ { … } ], "start_date": "2019-08-24T14:15:22Z", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "track_ids": [ "string" ], "type_id": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/abstract/{abstract_id}
- https://events.api.rhythmsoftware.com/sessions/{tenantId}/abstract/{abstract_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/abstract/{abstract_id}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }
AbstractIDs and FormData for sessions step function
If true, the system will create additional sessions for abstracts
The type to be assigned to the main presenter for sessions generated from abstracts
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/abstract/{abstract_id}
- https://events.api.rhythmsoftware.com/sessions/{tenantId}/abstract/{abstract_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/abstract/{abstract_id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"allow_duplicates": true,
"main_presenter_speaker_type_id": "string",
"make_co_authors_speakers": true,
"type_id": "string"
}'The record was retrieved successfully
If set, people can be placed on a wait list
If set, portal registration for this session is disabled
If set, a user is prompted to answer questions during registration
This session is not displayed in the portal or available for registration
If selected, hide this session from the online schedule
The type to be assigned to the main presenter for sessions generated from abstracts
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
{ "abstract_id": "string", "access": "included", "capacity_options": { "capacity": 0.1, "enable_wait_list": true, "waitlist_process_id": null }, "code": "string", "custom_field_values": [ { … } ], "description": "string", "disable_portal_registration": true, "display_order": 0.1, "enable_capacity": true, "enable_registration_questions": true, "end_date": "2019-08-24T14:15:22Z", "event_id": "string", "has_fees": true, "hide_from_portal": true, "hide_from_schedule": true, "id": "string", "location": "string", "main_presenter_speaker_type_id": "string", "name": "string", "registration_question_options": { "custom_fields": [ … ], "registration_instructions": "string" }, "room_ids": [ "string" ], "sold_out": true, "speakers": [ { … } ], "start_date": "2019-08-24T14:15:22Z", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "track_ids": [ "string" ], "type_id": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/batch
- https://events.api.rhythmsoftware.com/sessions/{tenantId}/batch
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/batch' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"operations": [
{
"id": null,
"object": {},
"operation": "create",
"patch_directives": {
"0": {
"op": "add",
"path": "string",
"value": "string"
}
},
"payload": {
"abstract": {
"approval_process_id": "string",
"average_score": 0.1,
"body": "string",
"bucket_id": null,
"city": "string",
"co_author_1": {
"email_address": "string",
"first_name": "string",
"last_name": "string",
"phone_number": "string",
"speaker_type_id": "string"
},
"co_author_2": {
"email_address": "string",
"first_name": "string",
"last_name": "string",
"phone_number": "string",
"speaker_type_id": "string"
},
"co_author_3": {
"email_address": "string",
"first_name": "string",
"last_name": "string",
"phone_number": "string",
"speaker_type_id": "string"
},
"co_author_4": {
"email_address": "string",
"first_name": "string",
"last_name": "string",
"phone_number": "string",
"speaker_type_id": "string"
},
"co_author_5": {
"email_address": "string",
"first_name": "string",
"last_name": "string",
"phone_number": "string",
"speaker_type_id": "string"
},
"co_authors": {
"0": {
"co_author_contact_id": "string",
"co_author_contact_info": {},
"speaker_type_id": "string"
}
},
"country": "string",
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
null
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"date": "2019-08-24T14:15:22Z",
"email_address": "string",
"event_id": "string",
"first_name": "string",
"has_co_authors": true,
"id": null,
"job_title": "string",
"last_name": "string",
"last_review_status_change": "2019-08-24T14:15:22Z",
"main_presenter_id": "string",
"max_contact_submissions": 0.1,
"name": "string",
"notes": "string",
"number": 0.1,
"organization_id": "string",
"override_bucket_assignment": true,
"pending_console_review": true,
"presenter_info": {
"contact_info": {},
"email_presenter": true
},
"process_id": "string",
"review_process_id": "string",
"review_round_id": null,
"review_status": "accepted",
"reviewer_recommendation": "string",
"reviews_assigned": true,
"room_ids": [
"string"
],
"round_id": "string",
"round_scores": [
{
"round_id": "string",
"score": 0.1
}
],
"session_has_been_generated": true,
"session_track_ids": [
"string"
],
"state": "string",
"status": "accepted",
"submission_space_id": "string",
"submitter_id": "string",
"submitting_on_behalf_of_presenter": true,
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": null,
"sys_created_by_id": null,
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": null,
"sys_last_modified_by_id": null,
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"title": "string",
"total_score": 0.1,
"type_id": "string"
},
"allow_duplicates": true,
"main_presenter_speaker_type_id": "string",
"make_co_authors_speakers": true,
"new_status": "accepted",
"suppress_email_notifications": true,
"type_id": "string"
}
}
]
}'{ "error_count": 0.1, "results": [ { … } ], "success_count": 0.1 }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/event/{event_id}
- https://events.api.rhythmsoftware.com/sessions/{tenantId}/event/{event_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/event/{event_id}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/privileges/{id}/{contactId}
- https://events.api.rhythmsoftware.com/sessions/{tenantId}/privileges/{id}/{contactId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/privileges/{id}/{contactId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "can_edit_session": true, "can_manage_documents": true, "can_update_speaker_profile": true }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/public/event/{event_id}
- https://events.api.rhythmsoftware.com/sessions/{tenantId}/public/event/{event_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/public/event/{event_id}'{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/public/search
- https://events.api.rhythmsoftware.com/sessions/{tenantId}/public/search
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/public/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Content-Type: application/json' \
-d '{
"abstract_id": [
"string"
],
"access": [
"string"
],
"end_date": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"event_id": "string",
"has_fees": [
true
],
"ids": [
"string"
],
"name": "string",
"speakers": [
"string"
],
"start_date": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"track_ids": [
"string"
],
"type_id": [
"string"
]
}'{ "Items": [ { … } ], "LastEvaluatedKey": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/public/{id}
- https://events.api.rhythmsoftware.com/sessions/{tenantId}/public/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/public/{id}?fields=string&consistentRead=string'The session was retrieved successfully.
If set, people can be placed on a wait list
If set, portal registration for this session is disabled
If set, a user is prompted to answer questions during registration
This session is not displayed in the portal or available for registration
If selected, hide this session from the online schedule
The type to be assigned to the main presenter for sessions generated from abstracts
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
{ "abstract_id": "string", "access": "included", "capacity_options": { "capacity": 0.1, "enable_wait_list": true, "waitlist_process_id": null }, "code": "string", "custom_field_values": [ { … } ], "description": "string", "disable_portal_registration": true, "display_order": 0.1, "enable_capacity": true, "enable_registration_questions": true, "end_date": "2019-08-24T14:15:22Z", "event_id": "string", "has_fees": true, "hide_from_portal": true, "hide_from_schedule": true, "id": "string", "location": "string", "main_presenter_speaker_type_id": "string", "name": "string", "registration_question_options": { "custom_fields": [ … ], "registration_instructions": "string" }, "room_ids": [ "string" ], "sold_out": true, "speakers": [ { … } ], "start_date": "2019-08-24T14:15:22Z", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "track_ids": [ "string" ], "type_id": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/search
- https://events.api.rhythmsoftware.com/sessions/{tenantId}/search
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"abstract_id": [
"string"
],
"access": [
"string"
],
"end_date": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"event_id": "string",
"has_fees": [
true
],
"ids": [
"string"
],
"name": "string",
"speakers": [
"string"
],
"start_date": [
"2019-08-24T14:15:22Z",
"2019-08-24T14:15:22Z"
],
"track_ids": [
"string"
],
"type_id": [
"string"
]
}'{ "Items": [ { … } ], "LastEvaluatedKey": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/{id}
- https://events.api.rhythmsoftware.com/sessions/{tenantId}/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'"string"
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/{id}
- https://events.api.rhythmsoftware.com/sessions/{tenantId}/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/{id}?fields=string&consistentRead=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The session was retrieved successfully.
If set, people can be placed on a wait list
If set, portal registration for this session is disabled
If set, a user is prompted to answer questions during registration
This session is not displayed in the portal or available for registration
If selected, hide this session from the online schedule
The type to be assigned to the main presenter for sessions generated from abstracts
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
{ "abstract_id": "string", "access": "included", "capacity_options": { "capacity": 0.1, "enable_wait_list": true, "waitlist_process_id": null }, "code": "string", "custom_field_values": [ { … } ], "description": "string", "disable_portal_registration": true, "display_order": 0.1, "enable_capacity": true, "enable_registration_questions": true, "end_date": "2019-08-24T14:15:22Z", "event_id": "string", "has_fees": true, "hide_from_portal": true, "hide_from_schedule": true, "id": "string", "location": "string", "main_presenter_speaker_type_id": "string", "name": "string", "registration_question_options": { "custom_fields": [ … ], "registration_instructions": "string" }, "room_ids": [ "string" ], "sold_out": true, "speakers": [ { … } ], "start_date": "2019-08-24T14:15:22Z", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "track_ids": [ "string" ], "type_id": "string" }
Request
This method will patch an existing session with the specified ID, using the HTTP PATCH specification.
The patch directives conforming to RFC 6902.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/{id}
- https://events.api.rhythmsoftware.com/sessions/{tenantId}/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PATCH \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '[
{
"op": "add",
"path": "string",
"value": "string"
}
]'The session was patched successfully.
If set, people can be placed on a wait list
If set, portal registration for this session is disabled
If set, a user is prompted to answer questions during registration
This session is not displayed in the portal or available for registration
If selected, hide this session from the online schedule
The type to be assigned to the main presenter for sessions generated from abstracts
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
{ "abstract_id": "string", "access": "included", "capacity_options": { "capacity": 0.1, "enable_wait_list": true, "waitlist_process_id": null }, "code": "string", "custom_field_values": [ { … } ], "description": "string", "disable_portal_registration": true, "display_order": 0.1, "enable_capacity": true, "enable_registration_questions": true, "end_date": "2019-08-24T14:15:22Z", "event_id": "string", "has_fees": true, "hide_from_portal": true, "hide_from_schedule": true, "id": "string", "location": "string", "main_presenter_speaker_type_id": "string", "name": "string", "registration_question_options": { "custom_fields": [ … ], "registration_instructions": "string" }, "room_ids": [ "string" ], "sold_out": true, "speakers": [ { … } ], "start_date": "2019-08-24T14:15:22Z", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "track_ids": [ "string" ], "type_id": "string" }
The updated session that will be saved.
If set, people can be placed on a wait list
If set, portal registration for this session is disabled
If set, a user is prompted to answer questions during registration
This session is not displayed in the portal or available for registration
If selected, hide this session from the online schedule
The type to be assigned to the main presenter for sessions generated from abstracts
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/{id}
- https://events.api.rhythmsoftware.com/sessions/{tenantId}/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"abstract_id": "string",
"access": "included",
"capacity_options": {
"capacity": 0.1,
"enable_wait_list": true,
"waitlist_process_id": null
},
"code": "string",
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"description": "string",
"disable_portal_registration": true,
"display_order": 0.1,
"enable_capacity": true,
"enable_registration_questions": true,
"end_date": "2019-08-24T14:15:22Z",
"event_id": "string",
"has_fees": true,
"hide_from_portal": true,
"hide_from_schedule": true,
"id": "string",
"location": "string",
"main_presenter_speaker_type_id": "string",
"name": "string",
"registration_question_options": {
"custom_fields": [
{
"id": "string",
"label": "string",
"required": true
}
],
"registration_instructions": "string"
},
"room_ids": [
"string"
],
"sold_out": true,
"speakers": [
{
"speaker_id": "string",
"speaker_type_id": "string"
}
],
"start_date": "2019-08-24T14:15:22Z",
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"track_ids": [
"string"
],
"type_id": "string"
}'The session was updated successfully.
If set, people can be placed on a wait list
If set, portal registration for this session is disabled
If set, a user is prompted to answer questions during registration
This session is not displayed in the portal or available for registration
If selected, hide this session from the online schedule
The type to be assigned to the main presenter for sessions generated from abstracts
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
{ "abstract_id": "string", "access": "included", "capacity_options": { "capacity": 0.1, "enable_wait_list": true, "waitlist_process_id": null }, "code": "string", "custom_field_values": [ { … } ], "description": "string", "disable_portal_registration": true, "display_order": 0.1, "enable_capacity": true, "enable_registration_questions": true, "end_date": "2019-08-24T14:15:22Z", "event_id": "string", "has_fees": true, "hide_from_portal": true, "hide_from_schedule": true, "id": "string", "location": "string", "main_presenter_speaker_type_id": "string", "name": "string", "registration_question_options": { "custom_fields": [ … ], "registration_instructions": "string" }, "room_ids": [ "string" ], "sold_out": true, "speakers": [ { … } ], "start_date": "2019-08-24T14:15:22Z", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "track_ids": [ "string" ], "type_id": "string" }